addpath('apm')

% periodic condition test
s = 'http://byu.apmonitor.com';
a = 'periodic_test';
apm(s,a,'clear all');
apm_load(s,a,'periodic.apm');
csv_load(s,a,'periodic.csv');
apm_option(s,a,'nlc.imode',6);
apm_option(s,a,'nlc.reqctrlmode',3);
apm_info(s,a,'MV','u');
apm_option(s,a,'u.status',1);
apm_option(s,a,'u.lower',0);
apm_option(s,a,'u.upper',5);
output = apm(s,a,'solve');
disp(output)
y = apm_sol(s,a);
z = y.x;

figure(1)
plot(z.time,z.x,'r-')
hold on
plot(z.time,z.u,'b-')
legend('Periodic x','Periodic u')

