from apm import *

# periodic condition test
s = 'http://byu.apmonitor.com'
a = 'periodic_test'
apm(s,a,'clear all')
apm_load(s,a,'periodic.apm')
csv_load(s,a,'periodic.csv')
apm_option(s,a,'nlc.imode',6)
apm_option(s,a,'nlc.reqctrlmode',3)
apm_info(s,a,'MV','u')
apm_option(s,a,'u.status',1)
apm_option(s,a,'u.lower',0)
apm_option(s,a,'u.upper',5)
output = apm(s,a,'solve')
print output
y = apm_sol(s,a)

# plot the results
import matplotlib.pyplot as plt

plt.figure(1)
plt.plot(y['time'],y['x'],'r-',label='Periodic x')
plt.plot(y['time'],y['u'],'b-',label='Periodic u')
plt.legend()
plt.savefig('periodic_plot.png')
plt.show()
